/* ========== ПЕРЕМЕННЫЕ ========== */
:root {
  --primary-text-color: #163561;
  --secondary-text-color: #153461;
  --primary-bg-color: #fafbff;
  --secondary-bg-color: #e5ecfe;
  --primary-accent-color: #99baed;
  --secondary-accent-color: #ffffff;
  --third-accent-color: #fbb400;
  --trans-dur-250ms: 250ms;
  --linear: linear;
}
/* ========== ПЕРЕМЕННЫЕ-КОНЕЦ ========== */

/* ========== ОБЩИЕ ========== */
body {
  font-family: 'Catamaran', sans-serif;
  font-size: 25px;
  font-weight: 700;
  line-height: 1.5;
  letter-spacing: 0.03em;
  color: var(--primary-text-color);
}

.container {
  width: 1920px;
  margin: 0 auto;
}

.title {
  font-size: 70px;
}

.accent-title {
  color: var(--third-accent-color);
}

.text {
  font-weight: 400;
  opacity: 0.65;
}
/* ========== ОБЩИЕ-КОНЕЦ ========== */

/* ========== ХЕДЕР ========== */
.header .container {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  padding-left: 170px;
  padding-right: 213px;
}

.header .logo {
  position: relative;
  margin-top: 59px;
  margin-right: 110px;
  font-weight: 600;
  font-size: 40px;
  line-height: 1.34;
  color: var(--primary-accent-color);
}

.header .logo::before {
  position: absolute;
  content: '';
  width: 74px;
  height: 66px;
  bottom: 12px;
  left: -53px;
  background-image: url(../images/logo-scissors.svg);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

.navigation-list {
  display: flex;
}

.navigation-list li:not(:last-child) {
  margin-right: 20px;
}

.navigation-list a {
  padding: 67px 14px 8px;
  font-weight: 500;
  line-height: 1.34;
  text-transform: capitalize;
  border-bottom-left-radius: 5px;
  border-bottom-right-radius: 5px;
  transition-property: background-color, color;
  transition-duration: var(--trans-dur-250ms);
  transition-timing-function: var(--linear);
}

.navigation-list a:hover,
.navigation-list a:focus {
  background-color: var(--third-accent-color);
  color: var(--secondary-accent-color);
}

.button-list {
  display: flex;
  align-items: center;
  padding-top: 46px;
  padding-bottom: 17px;
}

.button-list li:not(:last-child) {
  margin-right: 72px;
}

button {
  border: none;
  background: transparent;
  cursor: pointer;
}

.btn {
  padding: 23px 32px;
  font-weight: 700;
  font-size: 20px;
  line-height: 1.5;
  letter-spacing: 0.03em;
  color: var(--secondary-accent-color);
  background-color: var(--primary-accent-color);
  border-radius: 20px;
  transition-property: background-color, box-shadow, transform;
  transition-duration: var(--trans-dur-250ms);
  transition-timing-function: var(--linear);
}

.btn:hover,
.btn:focus {
  background-color: var(--third-accent-color);
  box-shadow: 0 10px 50px rgba(251, 180, 0, 0.5);
  transform: scale(0.9);
}
/* ========== ХЕДЕР-КОНЕЦ ========== */

/* ========== ГЕРОЙ ========== */
.hero .container {
  padding-top: 134px;
  padding-bottom: 138px;
  padding-left: 138px;
  background-image: url(../images/fon-header.png);
  background-repeat: no-repeat;
  background-position-x: 100%;
  background-position-y: 50%;
}

.hero-title {
  font-size: 75px;
  line-height: 1.34;
}

.hero .text {
  margin-top: 29px;
  margin-bottom: 97px;
}
/* ========== ГЕРОЙ-КОНЕЦ ========== */

/* ========== ИСТОРИЯ ========== */
.history .container {
  padding: 288px 195px 167px 1199px;
  background: url(../images/fon1.svg) no-repeat left top,
    url(../images/fon-history.png) no-repeat left center,
    url(../images/fon2.svg) no-repeat right top;
}

.history-list {
  margin-top: 80px;
  margin-bottom: 108px;
}

.history-item:not(:last-child) {
  margin-bottom: 48px;
}
/* ========== ИСТОРИЯ-КОНЕЦ ========== */

/* ========== СЕРВИС ========== */
.services .container {
  padding: 167px 254px 207px;
  background: url(../images/fon3.svg) no-repeat left bottom -104px,
    url(../images/fon4.svg) no-repeat right bottom -104px;
}

.services .title {
  margin-bottom: 90px;
  line-height: 1.17;
  text-align: center;
}

.services-list {
  display: flex;
}

.services-item:not(:last-child) {
  margin-right: 45px;
}

.services-item {
  padding: 50px 41px 72px;
  background: var(--primary-bg-color);
  box-shadow: 0px 5px 0px var(--primary-accent-color);
  border-radius: 30px;
  transition-property: background-color, box-shadow;
  transition-duration: var(--trans-dur-250ms);
  transition-timing-function: var(--linear);
}

.services-item:hover,
.services-item:focus {
  background-color: var(--primary-accent-color);
  box-shadow: 30px 30px 50px 5px #d4e5ff;
  cursor: pointer;
}

.services-item h3,
.services-item p {
  transition-property: color;
  transition-duration: var(--trans-dur-250ms);
  transition-timing-function: var(--linear);
}

.services-item:hover h3,
.services-item:focus h3,
.services-item:hover p,
.services-item:focus p {
  color: var(--secondary-accent-color);
}

.icon-wrapper {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 103px;
  height: 126px;
  margin: 0 auto 59px;
  background-color: var(--primary-accent-color);
  border-radius: 15px;
  transition-property: background-color;
  transition-duration: var(--trans-dur-250ms);
  transition-timing-function: var(--linear);
}

.services-item:hover .icon-wrapper,
.services-item:focus .icon-wrapper {
  background-color: var(--third-accent-color);
}

.services-icon {
  fill: var(--primary-text-color);
  transition-property: fill;
  transition-duration: var(--trans-dur-250ms);
  transition-timing-function: var(--linear);
}

.services-item:hover .services-icon,
.services-item:focus .services-icon {
  fill: var(--secondary-accent-color);
}

.subtitle {
  margin-bottom: 60px;
  font-size: 45px;
  line-height: 1.17;
  text-align: center;
}

.services .text {
  text-align: center;
}
/* ========== СЕРВИС-КОНЕЦ ========== */

/* ========== ГАЛЕРЕЯ ========== */
.gallery .container {
  padding: 26px 270px 125px;
  background: url(../images/fon1.svg) no-repeat left top -104px,
    url(../images/fon2.svg) no-repeat right top -104px;
}

.gallery .title {
  margin-bottom: 110px;
  line-height: 1.17;
  text-align: center;
}

.gallery-list {
  display: flex;
  flex-wrap: wrap;
  margin-top: -37px;
  margin-left: -37px;
  margin-bottom: 77px;
}

.gallery-item {
  position: relative;
  flex-basis: calc((100% - 111px) / 3);
  margin-top: 37px;
  margin-left: 37px;
  line-height: 0;
}

.gallery-item::before {
  content: '';
  position: absolute;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  background-image: linear-gradient(rgba(82, 150, 255, 0.35), rgba(82, 150, 255, 0.35));
}

.gallery .btn {
  display: block;
  margin: 0 auto;
}
/* ========== ГАЛЕРЕЯ-КОНЕЦ ========== */

/* ========== ФУТЕР ========== */
.footer .container {
  padding: 125px 270px 98px;
  background: url(../images/fon5.svg) no-repeat left bottom,
    url(../images/fon6.svg) no-repeat right bottom;
}

.footer .logo {
  position: relative;
  margin-left: 662px;
  margin-bottom: 36px;
  font-weight: 600;
  font-size: 40px;
  line-height: 1.34;
  color: var(--primary-accent-color);
}

.footer .logo::before {
  position: absolute;
  content: '';
  width: 110px;
  height: 98px;
  bottom: 12px;
  left: -78px;
  background-image: url(../images/logo-scissors.svg);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

.footer .text {
  margin-bottom: 47px;
  text-align: center;
}

.footer-soc-list {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  padding-bottom: 47px;
  border-bottom: 1px solid var(--primary-accent-color);
}

.footer-soc-list li:not(:last-child) {
  margin-right: 25px;
}

.footer-soc-link {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 67px;
  height: 67px;
  border-radius: 50%;
  background-color: var(--primary-accent-color);
  fill: var(--secondary-accent-color);
  transition-property: background-color, transform;
  transition-duration: var(--trans-dur-250ms);
  transition-timing-function: var(--linear);
}

.footer-soc-link:hover,
.footer-soc-link:focus {
  background-color: var(--third-accent-color);
  transform: scale(1.1);
}
/* ========== ФУТЕР-КОНЕЦ ========== */
